<?
require_once('sonos.ips.defines.php');


$TranslationVarProfiles['REPAT']=array('NAME'=>'Wiederholen', 'TYP'=>0);
$TranslationVarProfiles['SHUFFLE']=array('NAME'=>'Zufllig', 'TYP'=>0);
$TranslationVarProfiles['CURRENTTRACK']=array('NAME'=>'Track Nr','TYP'=>1);
$TranslationVarProfiles['CURRENTTRACKDURATION']=array('NAME'=>'Zeit','TYP'=>3);
$TranslationVarProfiles['NUMBEROFTRACKS']=array('NAME'=>'Tracks in Liste','TYP'=>1);
$TranslationVarProfiles['INSTANCEID']=array('HIDDEN'=>1);
$TranslationVarProfiles['CURRENTTRACKURI']=array('NAME'=>'Wiedergabe URL','TYP'=>3);
$TranslationVarProfiles['CURRENTCROSSFADEMODE']=array('NAME'=>'Tietel bergang','TYP'=>1);


$TranslationVarProfiles['TRANSPORTSTATE']=array(
	'NAME'=>'Wiedergabe Status',
	'TYP'=>1,
	'PROFIL'=>'SONOS_STATE',
	'set'=>function($v){
		$a=array("STOPPED"=>SONOS_state_stop,'PLAYING'=>SONOS_state_play,'PAUSED_PLAYBACK'=>SONOS_state_pause,'TRANSITIONING'=>SONOS_state_stop,'default'=>SONOS_state_stop);
		return (isSet($a[$v]))?$a[$v]:$a['default'];
	},
	'get'=>function($v){
		$a=array(SONOS_state_stop=>'STOPPED',SONOS_state_play=>'PLAYING',SONOS_state_pause=>'PAUSED_PLAYBACK');
		return (int)(isSet($a[$v]))?$a[$v]:'STOPPED';
});

$TranslationVarProfiles['CURRENTPLAYMODE']=array(
	'NAME'=>'Wiedergabe Modus',
	'TYP'=>3,
	'set'=>function($v){
		$a=array("NORMAL"=>array(SONOS_ident_repeat=>0,SONOS_ident_shuffle=>0),
				'REPEAT_ALL'=>array(SONOS_ident_repeat=>1,SONOS_ident_shuffle=>0),
				'SHUFFLE_NOREPEAT'=>array(SONOS_ident_repeat=>0,SONOS_ident_shuffle=>1),
				'SHUFFLE'=>array(SONOS_ident_repeat=>1,SONOS_ident_shuffle=>1),
				'default'=>array(SONOS_ident_repeat=>0,SONOS_ident_shuffle=>0));
		return (isSet($a[$v]))?$a[$v]:$a['default'];
	},
	'get'=>function($array){
		if($array[0])return ($array[1])?'REPEAT_ALL':'SHUFFLE_NOREPEAT';
		else return ($array[1])?'SHUFFLE':'NORMAL';
});


function IPSSonos_TranslateValue($varIdent, $value,$mode=0){
global $TranslationVarProfiles;
	if(isSet($TranslationVarProfiles[$varIdent])){
		$mode=($mode)?'get':'set';
		return (isSet($TranslationVarProfiles[$varIdent][$mode]))?$TranslationVarProfiles[$varIdent][$mode]($value):$value;
	}
	return $value;
}
function IPSSonos_TranslateName($varIdent){
global $TranslationVarProfiles;
	if(isSet($TranslationVarProfiles[$varIdent])){
		return (isSet($TranslationVarProfiles[$varIdent]['NAME']))?$TranslationVarProfiles[$varIdent]['NAME']:$varIdent;
	}
	return $varIdent;
}
function IPSSonos_TranslateType($varIdent){
global $TranslationVarProfiles;
	if(isSet($TranslationVarProfiles[$varIdent])){
		return (isSet($TranslationVarProfiles[$varIdent]['TYP']))?$TranslationVarProfiles[$varIdent]['TYP']:-1;
	}
	return -1;
}
function IPSSonos_TranslateProfil($varIdent){
global $TranslationVarProfiles;
	if(isSet($TranslationVarProfiles[$varIdent])){
		return (isSet($TranslationVarProfiles[$varIdent]['PROFIL']))?$TranslationVarProfiles[$varIdent]['PROFIL']:'';
	}
	return '';
}
function IPSSonos_TranslateIsHidden($varIdent){
global $TranslationVarProfiles;
	if(isSet($TranslationVarProfiles[$varIdent])){
		return (isSet($TranslationVarProfiles[$varIdent]['HIDDEN']))?true:false;
	}
	return false;
}

function IPSSonos_TranslateInfo($varIdent){
global $TranslationVarProfiles;
	return (isSet($TranslationVarProfiles[$varIdent]))?$TranslationVarProfiles[$varIdent]:null;
}


?>